File: changelog

package info (click to toggle)
limesuite 20.10.0+dfsg-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 26,576 kB
  • sloc: cpp: 158,930; ansic: 6,852; python: 197; sh: 56; makefile: 20
file content (184 lines) | stat: -rw-r--r-- 7,014 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
limesuite (20.10.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Jan 2021 20:44:30 +0100

limesuite (20.10.0+dfsg-1) experimental; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Bombe ]
  * New upstream release 20.10.0.
  * Change liblimesuite ABI version from 20.01-1 to 20.10-1.
  * Add license of added CheckAtomic.cmake script to d/copyright.
  * Drop link-libatomic patch as upstream now handles linking libatomic.
  * Increase debhelper compat level to 13.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Exempt a *.bak file that snuck into the upstream release from cleaning by
    dh_clean.

 -- Andreas Bombe <aeb@debian.org>  Sat, 19 Dec 2020 03:05:43 +0100

limesuite (20.01.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Feb 2020 11:18:07 +0100

limesuite (20.01.0+dfsg-1) unstable; urgency=medium

  * New upstream version with new soname.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Jan 2020 18:46:05 +0100

limesuite (19.04.0+dfsg-3) unstable; urgency=medium

  * Use debhelper 12.

 -- Christoph Berg <myon@debian.org>  Sun, 20 Oct 2019 17:37:18 +0200

limesuite (19.04.0+dfsg-2) experimental; urgency=medium

  * Bump SoapySDR module to 0.7.
  * Use Python 3. (Closes: #936947)

 -- Christoph Berg <myon@debian.org>  Tue, 08 Oct 2019 22:28:56 +0200

limesuite (19.04.0+dfsg-1) experimental; urgency=medium

  * New upstream release 19.04.0.
  * Change liblimesuite ABI version to 19.04-1.
  * Don't install docs/LMS_API_Documentation, doesn't exist anymore.
  * Add debian/gitlab-ci.yml.
  * Switch to GTK3. (Closes: #933412)
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Aug 2019 13:05:50 +0200

limesuite (18.06.0+dfsg-1) unstable; urgency=medium

  * New upstream release 18.06.0
  * Change liblimesuite ABI version from 18.04-1 to 18.06-1
  * Bump Standards-Version to 4.1.5, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sat, 28 Jul 2018 16:23:15 +0800

limesuite (18.04.1+dfsg-1) unstable; urgency=medium

  * New upstream release 18.04.1
  * Change liblimesuite ABI version from 17.12-1 to 18.04-1
  * Distribute cmake and pkg-config support files in liblimesuite-dev
  * Drop build dependency on SQLite, it is not used anymore
  * Add build dependency on libfltk1.3-dev
  * Drop build dependency on libi2c-dev
  * Adapt debian/copyright (especially Files-Excluded field) to moved and
    dropped source files
  * Bump Standards-Version to 4.1.4, no changes required
  * Change Vcs fields in debian/control to point to new repository location
    on salsa.debian.org

 -- Andreas Bombe <aeb@debian.org>  Sat, 05 May 2018 23:38:28 +0200

limesuite (17.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release 17.12.0
  * Drop patches that were applied upstream: fix-libusb-include,
    fix-missing-udev-subsystem, udev-use-tag-uaccess, fix-spelling-errors
  * Change liblimesuite ABI version from 17.09-1 to 17.12-1
  * Change debhelper compat level to 11
  * Install developer documentation in /usr/share/doc/liblimesuite-dev instead
    of .../liblimesuite-doc and adjust doc-base files accordingly
  * Bump Standards-Version to 4.1.3, no changes required
  * Add filenamemangle option to debian/watch
  * Remove lintian override for embedded-javascript-library because of
    doxygen, it appears to be not needed anymore

 -- Andreas Bombe <aeb@debian.org>  Fri, 12 Jan 2018 21:39:17 +0100

limesuite (17.09.1+dfsg-1) unstable; urgency=medium

  * New upstream release 17.09.1
  * Include sources in src/examples as examples in liblimesuite-doc

 -- Andreas Bombe <aeb@debian.org>  Wed, 27 Sep 2017 19:19:15 +0200

limesuite (17.09.0+dfsg-1) unstable; urgency=medium

  * New upstream release 17.09.0
  * Change liblimesuite ABI version from 17.06-1 to 17.09-1
  * Add newly written man pages for LimeUtil and LimeSuiteGUI
  * Install API reference and development documentation into new package
    liblimesuite-doc
  * Add Build-Depends on doxygen to build the API reference
  * Also remove GROUP="660" assignment with udev-use-tag-uaccess patch
  * Disable auto detection of SIMD features during the configure step
  * Add new patch fix-spelling-errors to fix spelling errors pointed out by
    lintian until this is integrated by upstream
  * Bump Standards-Version to 4.1.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Wed, 20 Sep 2017 03:38:30 +0200

limesuite (17.06.0+dfsg-1) unstable; urgency=medium

  * New upstream release 17.06.0 (Closes: #869380)
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Change liblimesuite ABI version from 17.02-1 to 17.06-1
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Bump Standards-Version to 4.0.1, no changes required
  * Add fix-missing-udev-subsystem patch to add missing SUBSYSTEM match to
    udev rules
  * Add udev-use-tag-uaccess patch to use uaccess tag instead of plugdev group
    in udev rules
  * Include pkg-info.mk instead of using dpkg-parsechangelog in debian/rules

 -- Andreas Bombe <aeb@debian.org>  Fri, 11 Aug 2017 01:24:22 -0400

limesuite (17.02.1+dfsg-1) experimental; urgency=medium

  * New upstream release 17.02.1
    - Works correctly with current LimeSDR firmware (Closes: #858591)
  * Remove backported fix-abs-overload patch, included in release
  * Rename liblimesuite16.12-1 to liblimesuite17.02-1 due to soname
    change
  * Use SOURCE_DATE_EPOCH variable instead of hand crafted equivalent
    to set BUILD_TIMESTAMP in override-build-timestamp patch

 -- Andreas Bombe <aeb@debian.org>  Fri, 31 Mar 2017 00:50:04 +0200

limesuite (16.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release 16.12.0
  * Add patch fix-abs-overload taken from upstream git fixing compile
    error for the new version
  * Rename liblimesuite16.8-1 to liblimesuite16.12-1 to follow soname
    change
  * Add watch file

 -- Andreas Bombe <aeb@debian.org>  Thu, 12 Jan 2017 01:40:43 +0100

limesuite (16.8.23.819+git20161221+dfsg-2) unstable; urgency=medium

  * Link to libatomic (Closes: #849536)
  * Link with --as-needed
  * Make liblimesuite-dev Multi-Arch: same and limesuite-udev
    Multi-Arch: foreign
  * Extend patch fix-icon-install to make sure desktop files are
    installed on all architectures, not just Linux
  * Add patch fix-libusb-include to fix sources including
    <libusb-1.0/libusb.h> when <libusb.h> is sufficient and doesn't
    break kfreebsd

 -- Andreas Bombe <aeb@debian.org>  Fri, 06 Jan 2017 04:34:07 +0100

limesuite (16.8.23.819+git20161221+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #847798)

 -- Andreas Bombe <aeb@debian.org>  Thu, 22 Dec 2016 02:11:19 +0100